This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460220 - LocalQueue::get() needs to support timeout (RHEL4)
LocalQueue::get() needs to support timeout (RHEL4)
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
low Severity low
: 1.0.1
: ---
Assigned To: messaging-bugs
Kim van der Riet
:
Depends On: 453599
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 16:46 EDT by Justin Ross
Modified: 2011-08-12 12:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 15:00:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2008-08-26 16:46:34 EDT
+++ This bug was initially created as a clone of Bug #453599 +++

I.e. return early (or throw exception) if no message is put on the queue in a
given time.

--- Additional comment from aconway@redhat.com on 2008-07-01 14:01:32 EDT ---

Fixed in SVN r673158

--- Additional comment from gsim@redhat.com on 2008-07-10 10:44:50 EDT ---

merged to qpid.0-10 branch as r675598
Comment 2 Frantisek Reznicek 2008-09-15 08:22:07 EDT
RHTS test MRG_Messaging/qpid_localqueue_timeout_bz453599 proves that timeout is now supported in LocalQueue::get() call. (->VERIFIED)
Comment 4 errata-xmlrpc 2008-10-06 15:00:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0867.html

Note You need to log in before you can comment on or make changes to this bug.